COL(1)

BEZEICHNUNG
col - umgekehrte Zeilenvorschübe aus der Eingabe filtern

ÜBERSICHT

col Optionen

BESCHREIBUNG

col filtert umgekehrte (und halbe umgekehrte) Zeilenvorschübe, so dass die Ausgabe in der korrekten Reihenfolge ist und nur Vorwärts- und Halb-Vorwärts-Zeilenvorschübe enthält. Es ersetzt außerdem Leerräume durch Tabulatoren, wo es möglich ist. Dies kann nützlich sein, wenn die Ausgaben von nroff(1) und tbl(1) verarbeitet werden.

col liest aus der Standardeingabe und schreibt in die Standardausgabe.

OPTIONEN

-b, --no-backspaces
    gibt keine Rückschritte aus, sondern nur das in jeder Spaltenposition zuletzt geschriebene Zeichen.

-f, --fine
    erlaubt Halb-Vorwärts-Zeilenvorschübe. Normalerweise werden Zeichen, die für eine Halbzeilenbegrenzung bestimmt sind, in der nächsten Zeile ausgegeben.

-h, --tabs
    gibt Tabulatoren anstatt mehrerer Leerzeichen aus.

-l, --lines Anzahl
    puffert mindestens die angegebene Anzahl Zeilen im Speicher. Standardmäßig werden 128 Zeilen gepuffert.

-p, --pass
    erzwingt, dass unbekannte Steuersequenzen unverändert durchgereicht werden. Normalerweise filtert col alle Steuersequenzen heraus, die es nicht selbst erkennt und interpretiert (diese sind nachfolgend aufgelistet).

-x, --spaces
    gibt mehrere Leerzeichen anstatt Tabulatoren aus.

-H, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

KONFORM ZU

Das Dienstprogramm col ist konform zur »Single UNIX Specification«, Version 2. Die Option -l ist eine Erweiterung dieses Standards.

ANMERKUNGEN

Die Steuersequenzen für Wagenbewegungen, die col versteht, sind in der folgenden Tabelle zusammen mit ihren dezimalen Werten aufgelistet:

ESC-7
    Rückwärts-Zeilenvorschub (Esc, dann 7)

ESC-8
    halber Rückwärts-Zeilenvorschub (Esc, dann 8)

ESC-9
    halber Vorwärts-Zeilenvorschub (Esc, dann 9)

Rückschritt
    bewegt eine Spalte zurück (8); wird in der ersten Spalte ignoriert.

Zeilenumbruch
    bewegt eine Zeile vorwärts (10); führt auch einen Wagenrücklauf aus.

Wagenrücklauf
    (13)

Umschalttaste ein
    wechselt in den normalen Zeichensatz (15).

Umschalttaste aus
    wechselt zu dem alternativen Zeichensatz (14).

Leeertaste
    bewegt eine Spalte vorwärts (32).

Tabulator
    Vorwärts zum nächsten Tabulator (9)

vertikaler Tabulator
    umgekehrter Zeilenvorschub (11)

Alle nicht erkannten Steuerzeichen und Escape-Sequenzen werden verworfen.

col verfolgt den Zeichensatz, während Zeichen gelesen werden, und stellt sicher, dass bei der Ausgabe der Zeichen der Zeichensatz korrekt ist.

Falls die Eingabe versucht, zu der letzten ausgegebenen Zeichenkette zurückzuspringen, gibt col eine Warnmeldung aus.

GESCHICHTE

Ein col-Befehl erschien in Version 6 von AT&T UNIX.

SIEHE AUCH

expand(1), nroff(1), tbl(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl col ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.